### Enumeration

# AppStream MetadataLocation

#### Declaration

    enum AppStream.MetadataLocation

#### Description [src]

The flags used when installing and removing metadata files.

#### Members

`AS_METADATA_LOCATION_UNKNOWN`

  An unknown/invalid location.

  - Value: `0`
  - Available since: 1.0
`AS_METADATA_LOCATION_SHARED`

  Installed by the vendor, shared.

  - Value: `1`
  - Available since: 1.0
`AS_METADATA_LOCATION_STATE`

  Installed as metadata into /var/lib, shared.

  - Value: `2`
  - Available since: 1.0
`AS_METADATA_LOCATION_CACHE`

  Installed as metadata into /var/cache, shared.

  - Value: `3`
  - Available since: 1.0
`AS_METADATA_LOCATION_USER`

  Installed for the current user.

  - Value: `4`
  - Available since: 1.0